# Debug package was producing errors in el9
%global debug_package %{nil}

Name:           libuldaq
Version:        1.2.1
Release:        1%{?dist}
Summary:        MCC Universal Library for Linux

License:        MIT
URL:            https://github.com/mccdaq/uldaq

Source0:        %{name}-%{version}.tar.bz2

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires:  autoconf >= 2.50
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  sed
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:	libusbx-devel

%{?systemd_requires}
BuildRequires:  systemd


%description
A library to access and control supported Measurement Computing DAQ devices over the Linux and macOS platforms.

%prep
%setup -q
sed -i -e "s@udevadm@false@" Makefile.am
sed -i -e "s@ldconfig@true@" Makefile.am
sed -i '/rulesdatadir/c\rulesdatadir=%{_udevrulesdir}' Makefile.am

%build
autoreconf -vif

# The rpm configure macro produced a strange error in el9
%if 0%{?el9}
    ./configure --build=%{_host} --host=%{_host} \
        --program-prefix= \
        --disable-dependency-tracking \
        \
        --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_localstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} --disable-static
%else
    %configure --disable-static
%endif

%make_build

%install
rm -rf $RPM_BUILD_ROOT

# userspace
%make_install

# Post-install stuff

# systemd stuff
%post
%{?ldconfig}

udevadm control --reload-rules > /dev/null 2>&1 || :

%postun 
%{?ldconfig}

%files
%defattr(644,root,root,755)

%_udevrulesdir/*.rules
%_libdir/*
%_docdir/%name/
%_includedir/uldaq.h


%changelog
* Wed Jul 3 2024 GA
- Rebuild for AlmaLinux9
* Thu Aug 3 2023 George
- Initial release


